Bonjour,

nous utilisons la version 0.63.2 ; je fais remonter un bug que nous avons
corrigé en décembre, je ne sais pas s'il avait été signalé. Cela est dû au
fait que nous utilisons (encore) PHP4.

Le bug intervenait quand quelqu'un tentait de se faire renvoyer son mot de
passe (lostpasswd.php)
Dans le fichier includes/functions.inc.php (ligne 233) : la fonction
sanityze_superglobals_arrays() fait appel à stripos() disponible seulement
à partir de PHP5 ; en revenant à la version précédente (appel à la
fonction eregi()) ça a l'air de refonctionner sans effet de bord.


++
Fanch
Équipe Technique INFINI



_______________________________________________
Galette-devel mailing list
Galette-devel@gna.org
https://mail.gna.org/listinfo/galette-devel

Répondre à